<?php
require_once("ak.class.php");

$arBindings = array("Home"=>array("/index.php", "1"),
					"Search Criteria"=>array("searchcriteria", "4"),
					"Quality Assurance"=>"/services.php",
					"Articles Archive"=>"/articles.php");

$objAK = new AccessKeys($arBindings);

if ($_POST)
{
	if ($_POST["default"])
	{
		$objAK->useDefaults();
		header("Location: $PHP_SELF");
	}
	else if ($objAK->setCookies())
		header("Location: $PHP_SELF");
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en-gb">
<head>
	<title>User-Defined Access Keys</title>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
</head>
<body>
<h1>User-Defined Access Keys</h1>
<?php
$objAK->displayOptions("nav");

if (!$objAK->isValid())
	echo $objAK->getErrors();
?>

<form id="accesskeysetup" action="akexample.php" method="post">
<?php $objAK->generateForm(); ?>
<p>
<input type="submit" name="submit" value="Assign Accesskey Bindings"> 
<input type="submit" name="default" value="Assign Default Bindings">
</p>
</form>
</body>
</html>
